Redmine - Feature #6751

Advanced user administration
2010-10-27 15:26 - Jayars World

Status: Closed Start date: 2010-10-27
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description
At the moment, there's no way to delete a user once he/she is registered.

It would be nice if there were better ways to deal with deprecated/old/spam users, instead of just activating/locking them.

le.
Users who haven't posted anything

e Should be safe to delete these users
Users who have posted something
¢ Prompt to remove all posts by the user (on delete cascade)

However, some organisations may want to keep a log of everything (prevent deletion).
In that case, this can perhaps be an option that only an Administrator can set.

Related issues:
Related to Redmine - Feature #7296: Ability for admin to delete users Closed 2011-01-11

History

#1 - 2011-03-24 08:46 - Toshi MARUYAMA

- Category set to Administration

#2 - 2017-04-10 15:11 - Yuuki NARA

+1
However, some organisations may want to keep a log of everything (prevent deletion).
In that case, this can perhaps be an option that only an Administrator can set.

| think so.

#3 - 2024-09-19 16:13 - Holger Just
- Status changed from New to Closed

- Resolution set to Duplicate

Users can actually be deleted for some time now. Their posts will be assigned to the Anonymous user. There is still the option to lock users which will
retain all previous references to the user.

As such, I'm closing this as a duplicate of #7296.
